/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-31 at 17:17:53 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.orkut.model;

/**
 * Model definition for CommunityPollVote.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CommunityPollVote extends com.google.api.client.json.GenericJson {

  /**
   * Whether this vote is visible to other users or not.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean isVotevisible;

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The ids of the voted options.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.Integer> optionIds;

  /**
   * Whether this vote is visible to other users or not.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getIsVotevisible() {
    return isVotevisible;
  }

  /**
   * Whether this vote is visible to other users or not.
   * @param isVotevisible isVotevisible or {@code null} for none
   */
  public CommunityPollVote setIsVotevisible(java.lang.Boolean isVotevisible) {
    this.isVotevisible = isVotevisible;
    return this;
  }

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * @param kind kind or {@code null} for none
   */
  public CommunityPollVote setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The ids of the voted options.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.Integer> getOptionIds() {
    return optionIds;
  }

  /**
   * The ids of the voted options.
   * @param optionIds optionIds or {@code null} for none
   */
  public CommunityPollVote setOptionIds(java.util.List<java.lang.Integer> optionIds) {
    this.optionIds = optionIds;
    return this;
  }

  @Override
  public CommunityPollVote set(String fieldName, Object value) {
    return (CommunityPollVote) super.set(fieldName, value);
  }

  @Override
  public CommunityPollVote clone() {
    return (CommunityPollVote) super.clone();
  }

}
