/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-31 at 17:17:53 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.orkut.model;

/**
 * Links to resources related to the parent object.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class OrkutLinkResource extends com.google.api.client.json.GenericJson {

  /**
   * URL of the link.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String href;

  /**
   * Relation between the resource and the parent object.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String rel;

  /**
   * Title of the link.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String title;

  /**
   * Media type of the link.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String type;

  /**
   * URL of the link.
   * @return value or {@code null} for none
   */
  public java.lang.String getHref() {
    return href;
  }

  /**
   * URL of the link.
   * @param href href or {@code null} for none
   */
  public OrkutLinkResource setHref(java.lang.String href) {
    this.href = href;
    return this;
  }

  /**
   * Relation between the resource and the parent object.
   * @return value or {@code null} for none
   */
  public java.lang.String getRel() {
    return rel;
  }

  /**
   * Relation between the resource and the parent object.
   * @param rel rel or {@code null} for none
   */
  public OrkutLinkResource setRel(java.lang.String rel) {
    this.rel = rel;
    return this;
  }

  /**
   * Title of the link.
   * @return value or {@code null} for none
   */
  public java.lang.String getTitle() {
    return title;
  }

  /**
   * Title of the link.
   * @param title title or {@code null} for none
   */
  public OrkutLinkResource setTitle(java.lang.String title) {
    this.title = title;
    return this;
  }

  /**
   * Media type of the link.
   * @return value or {@code null} for none
   */
  public java.lang.String getType() {
    return type;
  }

  /**
   * Media type of the link.
   * @param type type or {@code null} for none
   */
  public OrkutLinkResource setType(java.lang.String type) {
    this.type = type;
    return this;
  }

  @Override
  public OrkutLinkResource set(String fieldName, Object value) {
    return (OrkutLinkResource) super.set(fieldName, value);
  }

  @Override
  public OrkutLinkResource clone() {
    return (OrkutLinkResource) super.clone();
  }

}
